*====================================================================================================*
*                                  analysis.do                                                       *
*====================================================================================================*

*----------------------------------------------------------------------------------------------------*
*  Leopold 2018, replication files                                                         			 *
*  last update: 07 August 2018                                                                        *
*  data: soeplong 1984-2015, version 32.1, release 2017                                              *
*----------------------------------------------------------------------------------------------------*


* Load prepared data

use "$posted/data", clear



***************************************************************
*******   Satisfaction with housework  ************************
***************************************************************

mi unregister syear
mi xtset pid syear

* Female, all
mi estimate, saving(wa, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if male == 0, re
mi predict wa using wa
est store M1

* Female, Partnered
mi estimate, saving(wp, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if phh == 1 & male == 0, re
mi predict wp using wp
est store M2
						
* Female, single
mi estimate, saving(ws, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if phh == 0 & male == 0, re
mi predict ws using ws
est store M3


graph twoway 	line wa age if coh==1920 & !male, 	lpattern(solid)    lcolor(black)   lwidth (medthick) sort 	///
			||	line wa age if coh==1930 & !male, 	lpattern(solid)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line wa age if coh==1940 & !male, 	lpattern(solid)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line wa age if coh==1950 & !male, 	lpattern(solid)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line wa age if coh==1960 & !male, 	lpattern(solid)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line wa age if coh==1970 & !male, 	lpattern(solid)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line wa age if coh==1980 & !male, 	lpattern(solid)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "All Women", size(small))												///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 	///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))														///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wa, replace)
window manage close graph	

graph twoway 	line wp age if coh==1920 & !male, 	lpattern(dash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line wp age if coh==1930 & !male, 	lpattern(dash)    lcolor(gs4)   lwidth (medthick) sort 		///
			||	line wp age if coh==1940 & !male, 	lpattern(dash)    lcolor(gs6)   lwidth (medthick) sort 		///
			||	line wp age if coh==1950 & !male, 	lpattern(dash)    lcolor(gs8)   lwidth (medthick) sort 		///
			||  line wp age if coh==1960 & !male, 	lpattern(dash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line wp age if coh==1970 & !male, 	lpattern(dash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line wp age if coh==1980 & !male, 	lpattern(dash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "Partnered Women", size(small))										///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 	///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 	///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))														///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wp, replace)
window manage close graph	

graph twoway 	line ws age if coh==1920 & !male, 	lpattern(shortdash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line ws age if coh==1930 & !male, 	lpattern(shortdash)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line ws age if coh==1940 & !male, 	lpattern(shortdash)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line ws age if coh==1950 & !male, 	lpattern(shortdash)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line ws age if coh==1960 & !male, 	lpattern(shortdash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line ws age if coh==1970 & !male, 	lpattern(shortdash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line ws age if coh==1980 & !male, 	lpattern(shortdash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "Unpartnered Women", size(small))											///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 		///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))															///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(ws, replace)
window manage close graph		

	
* Male, all
mi estimate, saving(ma, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if male == 1, re
mi predict ma using ma
est store M4

* Male, Partnered
mi estimate, saving(mp, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if phh == 1 & male == 1, re
mi predict mp using mp
est store M5
						
* Male, single
mi estimate, saving(ms, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age if phh == 0 & male == 1, re
mi predict ms using ms
est store M6
							
graph twoway 	line ma age if coh==1920 & male, 	lpattern(solid)    lcolor(black)   lwidth (medthick) sort 	///
			||	line ma age if coh==1930 & male, 	lpattern(solid)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line ma age if coh==1940 & male, 	lpattern(solid)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line ma age if coh==1950 & male, 	lpattern(solid)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line ma age if coh==1960 & male, 	lpattern(solid)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line ma age if coh==1970 & male, 	lpattern(solid)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line ma age if coh==1980 & male, 	lpattern(solid)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "All Men", size(small))												///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 	///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 	///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))														///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(ma, replace)
window manage close graph	

graph twoway 	line mp age if coh==1920 & male, 	lpattern(dash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line mp age if coh==1930 & male, 	lpattern(dash)    lcolor(gs4)   lwidth (medthick) sort 		///
			||	line mp age if coh==1940 & male, 	lpattern(dash)    lcolor(gs6)   lwidth (medthick) sort 		///
			||	line mp age if coh==1950 & male, 	lpattern(dash)    lcolor(gs8)   lwidth (medthick) sort 		///
			||  line mp age if coh==1960 & male, 	lpattern(dash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line mp age if coh==1970 & male, 	lpattern(dash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line mp age if coh==1980 & male, 	lpattern(dash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "Partnered Men", size(small))											///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 	///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 	///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))														///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(mp, replace)
window manage close graph	

graph twoway 	line ms age if coh==1920 & male, 	lpattern(shortdash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line ms age if coh==1930 & male, 	lpattern(shortdash)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line ms age if coh==1940 & male, 	lpattern(shortdash)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line ms age if coh==1950 & male, 	lpattern(shortdash)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line ms age if coh==1960 & male, 	lpattern(shortdash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line ms age if coh==1970 & male, 	lpattern(shortdash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line ms age if coh==1980 & male, 	lpattern(shortdash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Satisfaction with Housework:" "Unpartnered Men", size(small))											///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", 		///
	size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))															///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(ms, replace)
window manage close graph	


***************************************************************
*******   Housework hours  ************************************
***************************************************************

* Female, all
mi estimate, saving(wah, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if male == 0, re
mi predict wah using wah
est store MA1

* Female, Partnered
mi estimate, saving(wph, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if phh == 1 & male == 0, re
mi predict wph using wph
est store MA2
						
* Female, single
mi estimate, saving(wsh, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if phh == 0 & male == 0, re
mi predict wsh using wsh
est store MA3

graph twoway 	line wah age if coh==1920 & !male, 	lpattern(solid)    lcolor(black)   lwidth (medthick) sort 	///
			||	line wah age if coh==1930 & !male, 	lpattern(solid)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line wah age if coh==1940 & !male, 	lpattern(solid)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line wah age if coh==1950 & !male, 	lpattern(solid)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line wah age if coh==1960 & !male, 	lpattern(solid)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line wah age if coh==1970 & !male, 	lpattern(solid)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line wah age if coh==1980 & !male, 	lpattern(solid)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "All Women", size(small))														///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  		///
	yscale(titlegap(2)) xscale(titlegap(2))																		///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wah, replace)
window manage close graph	

graph twoway 	line wph age if coh==1920 & !male, 	lpattern(dash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line wph age if coh==1930 & !male, 	lpattern(dash)    lcolor(gs4)   lwidth (medthick) sort 		///
			||	line wph age if coh==1940 & !male, 	lpattern(dash)    lcolor(gs6)   lwidth (medthick) sort 		///
			||	line wph age if coh==1950 & !male, 	lpattern(dash)    lcolor(gs8)   lwidth (medthick) sort 		///
			||  line wph age if coh==1960 & !male, 	lpattern(dash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line wph age if coh==1970 & !male, 	lpattern(dash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line wph age if coh==1980 & !male, 	lpattern(dash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "Partnered Women", size(small))													///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  		///
	yscale(titlegap(2)) xscale(titlegap(2))																		///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wph, replace)
window manage close graph	

graph twoway 	line wsh age if coh==1920 & !male, 	lpattern(shortdash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line wsh age if coh==1930 & !male, 	lpattern(shortdash)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line wsh age if coh==1940 & !male, 	lpattern(shortdash)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line wsh age if coh==1950 & !male, 	lpattern(shortdash)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line wsh age if coh==1960 & !male, 	lpattern(shortdash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line wsh age if coh==1970 & !male, 	lpattern(shortdash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line wsh age if coh==1980 & !male, 	lpattern(shortdash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "Unpartnered Women", size(small))													///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  			///
	yscale(titlegap(2)) xscale(titlegap(2))																			///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wsh, replace)
window manage close graph
	
	
* Male, all
mi estimate, saving(mah, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if male == 1, re
mi predict mah using mah
est store MA4

* Male, Partnered
mi estimate, saving(mph, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if phh == 1 & male == 1, re
mi predict mph using mph
est store MA5
						
* Male, single
mi estimate, saving(msh, replace): xtreg hw i.coh c.age##c.age##c.age##c.age if phh == 0 & male == 1, re
mi predict msh using msh
est store MA6					

graph twoway 	line mah age if coh==1920 & male, 	lpattern(solid)    lcolor(black)   lwidth (medthick) sort 	///
			||	line mah age if coh==1930 & male, 	lpattern(solid)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line mah age if coh==1940 & male, 	lpattern(solid)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line mah age if coh==1950 & male, 	lpattern(solid)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line mah age if coh==1960 & male, 	lpattern(solid)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line mah age if coh==1970 & male, 	lpattern(solid)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line mah age if coh==1980 & male, 	lpattern(solid)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "All Men", size(small))															///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  		///
	yscale(titlegap(2)) xscale(titlegap(2))																		///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(mah, replace)
window manage close graph	

graph twoway 	line mph age if coh==1920 & male, 	lpattern(dash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line mph age if coh==1930 & male, 	lpattern(dash)    lcolor(gs4)   lwidth (medthick) sort 		///
			||	line mph age if coh==1940 & male, 	lpattern(dash)    lcolor(gs6)   lwidth (medthick) sort 		///
			||	line mph age if coh==1950 & male, 	lpattern(dash)    lcolor(gs8)   lwidth (medthick) sort 		///
			||  line mph age if coh==1960 & male, 	lpattern(dash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line mph age if coh==1970 & male, 	lpattern(dash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line mph age if coh==1980 & male, 	lpattern(dash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "Partnered Men", size(small))													///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 		///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  		///
	yscale(titlegap(2)) xscale(titlegap(2))																		///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(mph, replace)
window manage close graph	

graph twoway 	line msh age if coh==1920 & male, 	lpattern(shortdash)    lcolor(black)   lwidth (medthick) sort 	///
			||	line msh age if coh==1930 & male, 	lpattern(shortdash)    lcolor(gs4)   lwidth (medthick) sort 	///
			||	line msh age if coh==1940 & male, 	lpattern(shortdash)    lcolor(gs6)   lwidth (medthick) sort 	///
			||	line msh age if coh==1950 & male, 	lpattern(shortdash)    lcolor(gs8)   lwidth (medthick) sort 	///
			||  line msh age if coh==1960 & male, 	lpattern(shortdash)    lcolor(gs10)   lwidth (medthick) sort 	///
			||	line msh age if coh==1970 & male, 	lpattern(shortdash)    lcolor(gs12)   lwidth (medthick) sort 	///
			||  line msh age if coh==1980 & male, 	lpattern(shortdash)    lcolor(gs14)   lwidth (medthick) sort 	///
	title("Hours of Housework:" "Unpartnered Men", size(small))														///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  			///
	yscale(titlegap(2)) xscale(titlegap(2))																			///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(msh, replace)
window manage close graph
	

*----------------------------------------------------------------------------------------------------*
*----------------------------------------------------------------------------------------------------*

* Figure 1

graph combine wa wp ws wah wph wsh
graph export "$graphs\fig1.pdf", as(pdf) replace
window manage close graph	

* Figure 2

graph combine ma mp ms mah mph msh
graph export "$graphs\fig2.pdf", as(pdf) replace
window manage close graph	

* Table 3

outreg2 [M1 M2 M3 M4 M5 M6] 													///
	using "${tables}/table3", word replace cti(b) dec(2) 						///
	alpha(.001, .01, .05) symbol(***, **, *) noobs drop(*b. 99* *miss)


* Legend (add to plot codes above)
	/*
	title("Hours of Housework:" "All Men", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) 	legend(title("Cohort", size(small) col(black)) size(small) rows(2) lab(1 "1920-29")   ///
	 lab(2 "1930-39")  lab(3 "1940-49")  lab(4 "1950-59")  lab(5 "1960-69")  lab(6 "1970-79")  lab(7 "1980-89"))  name(mah, replace)
	*/


***************************************************************
*******   Appendix   ************************
***************************************************************

* Figure A1

egen aux = rowmean(_?_hsat)
egen aux1 = rowmean(_?_hw)

gen hsatw = .

forvalues x = 1920(10)1980 {
	forvalues y = 20(5)75 {
		sum aux if coh == `x' & agec == `y' & male == 0
		replace hsatw = r(mean) if coh == `x' & agec == `y' & male == 0
	}
	}
*

gen hsatm = .

forvalues x = 1920(10)1980 {
	forvalues y = 20(5)75 {
		sum aux if coh == `x' & agec == `y' & male == 1
		replace hsatm = r(mean) if coh == `x' & agec == `y' & male == 1
	}
	}
*

gen hww = .

forvalues x = 1920(10)1980 {
	forvalues y = 20(5)75 {
		sum aux1 if coh == `x' & agec == `y' & male == 0
		replace hww = r(mean) if coh == `x' & agec == `y' & male == 0
	}
	}
*

gen hwm = .

forvalues x = 1920(10)1980 {
	forvalues y = 20(5)75 {
		sum aux1 if coh == `x' & agec == `y' & male == 1
		replace hwm = r(mean) if coh == `x' & agec == `y' & male == 1
	}
	}
*
drop aux aux1


graph twoway 	line hsatm age if coh==1920, 	lpattern(solid)    lcolor(black  )   lwidth (medthick) sort ///
			||	line hsatm age if coh==1930, 	lpattern(solid)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line hsatm age if coh==1940, 	lpattern(solid)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line hsatm age if coh==1950, 	lpattern(solid)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line hsatm age if coh==1960, 	lpattern(solid)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line hsatm age if coh==1970, 	lpattern(solid)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line hsatm age if coh==1980, 	lpattern(solid)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Satisfaction with Housework:" "All Men", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(dma, replace)
window manage close graph

graph twoway 	line hsatw age if coh==1920, 	lpattern(solid)    lcolor(black  )   lwidth (medthick) sort ///
			||	line hsatw age if coh==1930, 	lpattern(solid)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line hsatw age if coh==1940, 	lpattern(solid)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line hsatw age if coh==1950, 	lpattern(solid)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line hsatw age if coh==1960, 	lpattern(solid)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line hsatw age if coh==1970, 	lpattern(solid)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line hsatw age if coh==1980, 	lpattern(solid)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Satisfaction with Housework:" "All Women", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(dwa, replace)
window manage close graph

graph twoway 	line hwm age if coh==1920, 	lpattern(solid)    lcolor(black  )   lwidth (medthick) sort ///
			||	line hwm age if coh==1930, 	lpattern(solid)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line hwm age if coh==1940, 	lpattern(solid)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line hwm age if coh==1950, 	lpattern(solid)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line hwm age if coh==1960, 	lpattern(solid)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line hwm age if coh==1970, 	lpattern(solid)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line hwm age if coh==1980, 	lpattern(solid)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Hours of Housework:" "All Men", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(dmah, replace)
window manage close graph	

graph twoway 	line hww age if coh==1920, 	lpattern(solid)    lcolor(black  )   lwidth (medthick) sort ///
			||	line hww age if coh==1930, 	lpattern(solid)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line hww age if coh==1940, 	lpattern(solid)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line hww age if coh==1950, 	lpattern(solid)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line hww age if coh==1960, 	lpattern(solid)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line hww age if coh==1970, 	lpattern(solid)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line hww age if coh==1980, 	lpattern(solid)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Hours of Housework:" "All Women", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(6(0.5)1, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Housework hours", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(dwah, replace)
window manage close graph	


* Figure A1
graph combine dwa dwah dma dmah
graph export "$graphs\figA1.pdf", as(pdf) replace
window manage close graph	



* Table A1
outreg2 [MA1 MA2 MA3 MA4 MA5 MA6] 												///
	using "${tables}/tableA1", word replace cti(b) dec(2) 						///
	alpha(.001, .01, .05) symbol(***, **, *) noobs drop(*b. 99* *miss)



* Women's satisfaction with housework, controlled for total work hours

* Female, all
mi estimate, saving(wac, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age c.th##c.th if male == 0, re
mi predict wac using wac

* Female, Partnered
mi estimate, saving(wpc, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age c.th##c.th if phh == 1 & male == 0, re
mi predict wpc using wpc
						
* Female, single
mi estimate, saving(wsc, replace): xtreg hsat i.coh c.age##c.age##c.age##c.age c.th##c.th if phh == 0 & male == 0, re
mi predict wsc using wsc


graph twoway 	line wac age if coh==1920 & !male & th == 7, 	lpattern(solid)    lcolor(black  )   lwidth (medthick) sort ///
			||	line wac age if coh==1930 & !male & th == 7, 	lpattern(solid)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line wac age if coh==1940 & !male & th == 7, 	lpattern(solid)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line wac age if coh==1950 & !male & th == 7, 	lpattern(solid)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line wac age if coh==1960 & !male & th == 7, 	lpattern(solid)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line wac age if coh==1970 & !male & th == 7, 	lpattern(solid)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line wac age if coh==1980 & !male & th == 7, 	lpattern(solid)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Satisfaction with Housework:" "All Women", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wac, replace)
window manage close graph	

graph twoway 	line wpc age if coh==1920 & !male & th == 7, 	lpattern(dash)    lcolor(black  )   lwidth (medthick) sort ///
			||	line wpc age if coh==1930 & !male & th == 7, 	lpattern(dash)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line wpc age if coh==1940 & !male & th == 7, 	lpattern(dash)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line wpc age if coh==1950 & !male & th == 7, 	lpattern(dash)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line wpc age if coh==1960 & !male & th == 7, 	lpattern(dash)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line wpc age if coh==1970 & !male & th == 7, 	lpattern(dash)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line wpc age if coh==1980 & !male & th == 7, 	lpattern(dash)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Satisfaction with Housework:" "Partnered Women", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wpc, replace)
window manage close graph	

graph twoway 	line wsc age if coh==1920 & !male & th == 7, 	lpattern(shortdash)    lcolor(black  )   lwidth (medthick) sort ///
			||	line wsc age if coh==1930 & !male & th == 7, 	lpattern(shortdash)    lcolor( gs4 )   lwidth (medthick) sort ///
			||	line wsc age if coh==1940 & !male & th == 7, 	lpattern(shortdash)    lcolor( gs6 )   lwidth (medthick) sort ///
			||	line wsc age if coh==1950 & !male & th == 7, 	lpattern(shortdash)    lcolor(gs8 )   lwidth (medthick) sort ///
			||  line wsc age if coh==1960 & !male & th == 7, 	lpattern(shortdash)    lcolor( gs10)   lwidth (medthick) sort ///
			||	line wsc age if coh==1970 & !male & th == 7, 	lpattern(shortdash)    lcolor( gs12 )   lwidth (medthick) sort ///
			||  line wsc age if coh==1980 & !male & th == 7, 	lpattern(shortdash)    lcolor( gs14)   lwidth (medthick) sort ///
	title("Satisfaction with Housework:" "Unpartnered Women", size(small))	///
	graphregion(color(white) fcolor(white) icolor(white)) ylabel(7.4(0.2)5.8, labsize(vsmall) angle(0)) 	 			///	
	xlabel(20(5)80, labsize(vsmall)) xtitle("Age", size(vsmall)) ytitle("Satisfaction with housework (0-10)", size(vsmall))  yscale(titlegap(2)) xscale(titlegap(2))	///
	plotregion(color(white) fcolor(white) icolor(white)) legend(off) name(wsc, replace)
window manage close graph		

graph combine wac wpc wsc wac wpc wsc 
graph export "$graphs\figA2.pdf", as(pdf) replace
window manage close graph	
	
	
	
	
	
